<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qxgmat.data.dao.UserPaperMapper">
  <resultMap id="BaseResultMap" type="com.qxgmat.data.dao.entity.UserPaper">
    <!--
      WARNING - @mbg.generated
    -->
    <id column="id" jdbcType="INTEGER" property="id" />
    <result column="user_id" jdbcType="INTEGER" property="userId" />
    <result column="title" jdbcType="VARCHAR" property="title" />
    <result column="paper_module" jdbcType="VARCHAR" property="paperModule" />
    <result column="module_extend" jdbcType="VARCHAR" property="moduleExtend" />
    <result column="module_id" jdbcType="INTEGER" property="moduleId" />
    <result column="question_no_ids" jdbcType="VARCHAR" property="questionNoIds" typeHandler="com.nuliji.tools.mybatis.handler.IntegerArrayWithJsonHandler" />
    <result column="question_number" jdbcType="INTEGER" property="questionNumber" />
    <result column="times" jdbcType="INTEGER" property="times" />
    <result column="time" jdbcType="INTEGER" property="time" />
    <result column="total_time" jdbcType="INTEGER" property="totalTime" />
    <result column="total_number" jdbcType="INTEGER" property="totalNumber" />
    <result column="total_correct" jdbcType="INTEGER" property="totalCorrect" />
    <result column="delete_time" jdbcType="TIMESTAMP" property="deleteTime" />
    <result column="is_reset" jdbcType="INTEGER" property="isReset" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--
      WARNING - @mbg.generated
    -->
    `id`, `user_id`, `title`, `paper_module`, `module_extend`, `module_id`, `question_no_ids`, 
    `question_number`, `times`, `time`, `total_time`, `total_number`, `total_correct`, 
    `delete_time`, `is_reset`
  </sql>
</mapper>